diff --git a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
index 9f66d045b..70795207d 100644
--- a/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
+++ b/web/pgadmin/feature_tests/pg_utilities_maintenance_test.py
@@ -143,9 +143,13 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
             NavMenuLocators.
             process_watcher_detailed_command_canvas_css).text
 
+        vacuum_details = \
+            "VACUUM (VERBOSE) on database '{0}' of server " \
+            "{1} ({2}:{3})".format(self.database_name, self.server['name'],
+                                   self.server['host'], self.server['port'])
         if self.test_level == 'database':
-            self.assertEqual(command, "VACUUM (VERBOSE)\nRunning Query:"
-                                      "\nVACUUM VERBOSE;")
+            self.assertEqual(
+                command, vacuum_details + "\nRunning Query:\nVACUUM VERBOSE;")
         elif self.is_xss_check and self.test_level == 'table':
             # Check for XSS in the dialog
             source_code = self.page.find_by_css_selector(
@@ -158,10 +162,9 @@ class PGUtilitiesMaintenanceFeatureTest(BaseFeatureTest):
                 'Maintenance detailed window'
             )
         else:
-            self.assertEqual(command, "VACUUM "
-                                      "(VERBOSE)\nRunning Query:"
-                                      "\nVACUUM VERBOSE"
-                                      " public." + self.table_name + ";")
+            self.assertEqual(
+                command, vacuum_details + "\nRunning Query:\nVACUUM VERBOSE;"
+                                          " public." + self.table_name + ";")
 
         test_gui_helper.close_process_watcher(self)
 
diff --git a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
index 33c11aa0d..0f8941930 100644
--- a/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
+++ b/web/pgadmin/tools/backup/tests/test_backup_create_job_unit_test.py
@@ -736,10 +736,11 @@ class BackupCreateJobTest(BaseTestGenerator):
 
         filename_mock.return_value = self.params['file']
 
-        batch_process_mock.set_env_variables = MagicMock(
+        batch_process_mock.return_value.id = 140391
+        batch_process_mock.return_value.set_env_variables = MagicMock(
             return_value=True
         )
-        batch_process_mock.start = MagicMock(
+        batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
 
diff --git a/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py b/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
index 4a9ee7eca..9ad38a8ac 100644
--- a/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
+++ b/web/pgadmin/tools/import_export/tests/test_import_export_create_job_unit_test.py
@@ -307,10 +307,11 @@ class IECreateJobTest(BaseTestGenerator):
 
         filename_mock.return_value = self.params['filename']
 
-        batch_process_mock.set_env_variables = MagicMock(
+        batch_process_mock.return_value.id = 140391
+        batch_process_mock.return_value.set_env_variables = MagicMock(
             return_value=True
         )
-        batch_process_mock.start = MagicMock(
+        batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
 
diff --git a/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py b/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
index a68952abc..dadeb61e3 100644
--- a/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
+++ b/web/pgadmin/tools/maintenance/tests/test_maintenance_create_job_unit_test.py
@@ -170,10 +170,11 @@ class MaintenanceCreateJobTest(BaseTestGenerator):
         mock_result = server_mock.query.filter_by.return_value
         mock_result.first.return_value = mock_obj
 
-        batch_process_mock.set_env_variables = MagicMock(
+        batch_process_mock.return_value.id = 140391
+        batch_process_mock.return_value.set_env_variables = MagicMock(
             return_value=True
         )
-        batch_process_mock.start = MagicMock(
+        batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
         export_password_env_mock.return_value = True
diff --git a/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py b/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
index 90dd82104..1792a6b20 100644
--- a/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
+++ b/web/pgadmin/tools/restore/tests/test_restore_create_job_unit_test.py
@@ -340,10 +340,11 @@ class RestoreCreateJobTest(BaseTestGenerator):
 
         filename_mock.return_value = self.params['file']
 
-        batch_process_mock.set_env_variables = MagicMock(
+        batch_process_mock.return_value.id = 140391
+        batch_process_mock.return_value.set_env_variables = MagicMock(
             return_value=True
         )
-        batch_process_mock.start = MagicMock(
+        batch_process_mock.return_value.start = MagicMock(
             return_value=True
         )
 
